%define	name	bmp-itouch
%define	version	1.1.0
%define	release	1.2006mcnl
%define libdir	%(eval "pkg-config --variable=general_plugin_dir bmp")
%define datadir	%(eval "pkg-config --variable=data_dir bmp")

Summary:    	Bmp-itouch - iTouch keyboard control plugin for bmp
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Vendor:		MandrivaClub.NL
Packager:	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Group:		Sound
URL:		http://bmp-itouch.sourceforge.net
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	beep-media-player >= 0.9.7
BuildRequires:	libbeep-media-player-devel

%description
With this BMP plugin you can take advantage of the multimedia (playback and
volume control) keys on your Logitech iTouch keyboard. When the plugin is
used you can use the keys regardless of the current input focus. The plugin
won't work if some other application (eg. xscreensaver) has grabbed the
keyboard.
	
%prep
%setup -q

%build
./configure
%make
#./configure
#make

#[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
#mkdir $RPM_BUILD_ROOT
make libdir=$RPM_BUILD_ROOT%{libdir} datadir=$RPM_BUILD_ROOT%{datadir} install

%post
ldconfig %{_libdir}/bmp

%postun
ldconfig %{_libdir}/bmp

%clean
rm -rf $RPM_BUILD_ROOT 


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_libdir}/bmp/General/libKeyBoardPlayFunction.*
%{_libdir}/bmp/General/libitouch.*
%{_datadir}/bmp/bmp-itouch.config


%changelog
* Wed Dec 28 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 1.1.0-1.2006mcnl
- first build for Mandriva Linux